from openai import OpenAI
client = OpenAI(
base_url="https://customerDomain.ambersearch.de/api/beta/openai/v1",
api_key="ambrs-exampletoken"
)
for model in client.models.list():
print(model.id)
azure/gpt-6-astra
azure/gpt-6-luna
azure/gpt-6.1-sol
mistral/mistral-large-2512
telekom/GLM-5.2
vertex/claude-fable-5-1
vertex/claude-opus-5-5
vertex/claude-sonnet-5-5
vertex/gemini-3.8-flash
OpenAI-like Endpoints
List models (OpenAI format)
Retrieves a list of available models in OpenAI format.
GET
/
api
/
beta
/
openai
/
v1
/
models
from openai import OpenAI
client = OpenAI(
base_url="https://customerDomain.ambersearch.de/api/beta/openai/v1",
api_key="ambrs-exampletoken"
)
for model in client.models.list():
print(model.id)
azure/gpt-6-astra
azure/gpt-6-luna
azure/gpt-6.1-sol
mistral/mistral-large-2512
telekom/GLM-5.2
vertex/claude-fable-5-1
vertex/claude-opus-5-5
vertex/claude-sonnet-5-5
vertex/gemini-3.8-flash
The model list in the response example is for illustration only. It is not a definitive list and may not reflect the latest available models. Each customer environment can have a different set of models, so call this endpoint in your own environment to see which models you can use. For an overview of all models that may be available, see amber.de/en/prices/#models.
from openai import OpenAI
client = OpenAI(
base_url="https://customerDomain.ambersearch.de/api/beta/openai/v1",
api_key="ambrs-exampletoken"
)
for model in client.models.list():
print(model.id)
azure/gpt-6-astra
azure/gpt-6-luna
azure/gpt-6.1-sol
mistral/mistral-large-2512
telekom/GLM-5.2
vertex/claude-fable-5-1
vertex/claude-opus-5-5
vertex/claude-sonnet-5-5
vertex/gemini-3.8-flash
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response